MonoMac 0.0.0.0 System.Object Used to describe the recording options for an AVAudioRecoder.

Instance of this class are created to configure the recording parameters for AVAudioRecorder instances. The configured instance is passed to the method to create a new instance of the audio recorder.

`var settings = new AVAudioRecorderSettings () { AudioFormat = AudioFormatType.LinearPCM, AudioQuality = AVAudioQuality.High, SampleRate = 44100f, NumberChannels = 1 }; var recorder = AVAudioRecorder.ToUrl (url, settings, out error); if (recorder == null){ Console.WriteLine (error); return; } recorder.PrepareToRecord (); recorder.Record ();`
- Constructor
  0.0.0.0
  Initializes a AVAudioRecoderSettings with the basic configuration.

  New instances will be configured to record in LinearPCM format at a sample rate of 44100 samples per second with one audio channel at high quality.

- Field
  0.0.0.0
  MonoMac.AudioToolbox.AudioFormatType Specified the audio format to record to.
- Field
  0.0.0.0
  MonoMac.AVFoundation.AVAudioQuality The audio quality level for the recording Defaults to AVAudioQuality.High
- Field
  0.0.0.0
  System.Nullable<System.Int32> The Encoder's bit depth
- Field
  0.0.0.0
  System.Nullable<System.Int32> The Encoder's bit rate.
- Field
  0.0.0.0
  System.Nullable<System.Int32> The Encoder's bit rate per channel.
- Field
  0.0.0.0
  System.Boolean For PCM-only: whether the data is encoded in BigEndian Format (defaults to no)
- Field
  0.0.0.0
  System.Int32 For PCM-only: whether the data is encoded in BigEndian Format (defaults to no). Must be 8, 16, 24 or 32. If the value is not provided, the encoder decides
- Field
  0.0.0.0
  System.Boolean For PCM-only: whether the data is encoded using floats or integers (defaults to false)
- Field
  0.0.0.0
  System.Boolean For PCM-only: whether the data is non-interleaved (defaults to false)
- Field
  0.0.0.0
  System.Int32 The number of channels to record.
- Field
  0.0.0.0
  System.Single The sample rate to use for the recording.
- Field
  0.0.0.0
  System.Nullable<MonoMac.AVFoundation.AVAudioQuality> The audio quality for the converter's sample rate